powered by Jive Software

Openfire 4.4.4 to 4.5.0 upgrade

I am trying to upgrade from Openfire 4.4.4 to 4.5.0 so I downloaded the 64bit Bundled with Java. Once the download completes I try to execute the installer. Nothing ever happens. I still have the 4.4.4 installer and can double click on it and it runs just fine. Also, nothing shows up in Event Viewer.

Anyone else having this problem? Any way to fix it.

Server 2016 Standard
12TB Storage
128 GB RAM
Dual XEON X5660 6 Core CPUs

UPDATE
I downloaded the Openfire 4.5.0 installer that does NOT include Java and it launched and installed just fine. It seems to be an issue with the 64bit Bundled version.

I just tested this, and I had no problem upgrading using the bundled jre. not sure what your issue may have been. was there anything in the openfire logs?

Try downloading again and compare checksums Openfire 4.5.0 is Released

Been messing with this for a while now. Though everything is working in my live environment, in a VM I’ve been trying to figure out why the bundle wasn’t working for me. I think I figured it out. It was a Java Version Mismatch. My predecessor had installed the 32 bit version, and I was, as I should, trying to install the 64bit version. The version of Java installed on the server was the 32bit version and the installer couldn’t use it, so it would just crash. Uninstalled the 32bit version of Java and installed the 64bit version and everything seems to be working great now. Not sure why I didn’t look at that earlier.

1 Like

I have been configured the java timezone as you say.
My Openfire server is working fine; my only issue is that I can’t no use 7443 port, just this problem and is a pitty to reinstall it for just that. Thanks

thanks my issue has been fixed.